/*
 * Jalisto - JAva LIght STOrage
 * Copyright (C) 2000-2005 Xcalia http://www.xcalia.com
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307, USA.
 * 
 * Xcalia
 * 71, rue Desnouettes
 * 75014 Paris - France
 * http://www.xcalia.com
 */
package org.objectweb.jalisto.se.impl.trace;

import java.util.Collections;
import java.util.Iterator;
import java.util.Set;

public class TraceNull extends Trace {
    public boolean isEnabled(Module component) {
        return false;
    }

    public boolean isShowThread() {
        return false;
    }

    public void enableShowThread() {
    }

    public void enableTrace(boolean enable) {
    }

    public Set enabledModules() {
        return Collections.EMPTY_SET;
    }

    protected void setEnabledModules(Set modules) {
    }

    public void init(Iterator traceModuleNames) {
    }

    public void printException(Object message, Throwable t) {
    }

    public void println(Module component, String message) {
    }

    public void println(Module component, String message, Object parameter1) {
    }

    public void println(Module component, String message, Object parameter1,
                        Object parameter2) {
    }

    public void println(Module component, String message, Object parameter1,
                        Object parameter2, Object parameter3) {
    }

    public void println(Module component, String message, Object[] parameters) {
    }

    static final long serialVersionUID = -7589377090000761459L;
}
