/*
 * Jalisto - JAva LIght STOrage
 * Copyright (C) 2000-2005 Xcalia http://www.xcalia.com
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307, USA.
 * 
 * Xcalia
 * 71, rue Desnouettes
 * 75014 Paris - France
 * http://www.xcalia.com
 */
package org.objectweb.jalisto.se.query.constraint;

import org.objectweb.jalisto.se.query.exception.QueryEngineException;
import org.objectweb.jalisto.se.api.query.Constraint;

public class BinaryBooleanOperatorConstraint extends ConstraintImpl {

    public BinaryBooleanOperatorConstraint(Constraint c1, Constraint c2, short operator) {
        this.left = c1;
        this.right = c2;
        this.operator = operator;
    }

    public Constraint contains() {
        throw new QueryEngineException();
    }

    public Constraint equal() {
        throw new QueryEngineException();
    }

    public Object getObject() {
        throw new QueryEngineException();
    }

    public Constraint greater() {
        throw new QueryEngineException();
    }

    public Constraint identity() {
        throw new QueryEngineException();
    }

    public Constraint like() {
        throw new QueryEngineException();
    }

    public Constraint not() {
        return this;
    }

    public Constraint smaller() {
        throw new QueryEngineException();
    }

    public Constraint getLeft() {
        return left;
    }

    public Constraint getRight() {
        return right;
    }

    public boolean isAndOperator() {
        return operator == AND_OP;
    }


    private Constraint left;
    private Constraint right;
    private short operator;

    public final static short AND_OP = 0;
    public final static short OR_OP = 1;

}
