/*
 * Jalisto - JAva LIght STOrage
 * Copyright (C) 2000-2005 Xcalia http://www.xcalia.com
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307, USA.
 * 
 * Xcalia
 * 71, rue Desnouettes
 * 75014 Paris - France
 * http://www.xcalia.com
 */
package org.objectweb.jalisto.se.api.internal;

import org.objectweb.jalisto.se.api.JalistoProperties;

public class Constants {

    public static final String RUNTIME_MODE = JalistoProperties.MONO_IMPLEMENTATION;

    public static final String OPTIMISTIC_MODE = "optimistic";
    public static final String PESSIMISTIC_MODE = "pessimistic";

    public static final String MEMORY_STORAGE_CLASS =
            "org.objectweb.jalisto.se.storage.memory.PhysicalFileAccessMemoryImpl";
    public static final String BASIC_STORAGE_CLASS =
            "org.objectweb.jalisto.se.storage.basic.PhysicalFileAccessBasicImpl";

    public final static String PHYSICAL_FILE_ACCESS_DIC =
            "org.objectweb.jalisto.se.storage.raf.nolog.synchro.PhysicalFileAccessNologSynchroImpl";

    public static final String CACHE_DIC = "org.objectweb.jalisto.se.impl.cache.GenericCache";

    public static final String COMMUNICATION_FACTORY_DIC =
            "org.objectweb.jalisto.impl.remote.local.CommunicationFactoryLocalImpl";

    public static final String QUERY_MANAGER = "org.objectweb.jalisto.se.query.QueryManagerImpl";

    public static final String JMX_SERVER_DIC = "org.objectweb.jalisto.se.jmx.JalistoMbeanServerFactory";

    public final static String INTERNALFACTORYCLASS_READONLY =
            "org.objectweb.jalisto.se.impl.factory.InternalReadOnlyFactory";
    public final static String INTERNALFACTORYCLASS_MONO =
            "org.objectweb.jalisto.se.impl.factory.InternalMonoFactory";
    public final static String INTERNALFACTORYCLASS_MULTI =
            "org.objectweb.jalisto.se.impl.factory.InternalGeneralFactory";
    public final static String INTERNALFACTORYCLASS_DIC = INTERNALFACTORYCLASS_MULTI;

    public static final String LOG_POSTFIX = "log";
}
