/*
 * Jalisto - JAva LIght STOrage
 * Copyright (C) 2000-2005 Xcalia http://www.xcalia.com
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307, USA.
 * 
 * Xcalia
 * 71, rue Desnouettes
 * 75014 Paris - France
 * http://www.xcalia.com
 */
package org.objectweb.jalisto.se.impl.meta.type;

import org.objectweb.jalisto.se.api.query.FielComparator;
import org.objectweb.jalisto.se.api.MetaType;
import org.objectweb.jalisto.se.impl.meta.comparator.BigDecimalComparator;

public class BigDecimalType implements MetaType {

    public FielComparator getComparator() {
        return new BigDecimalComparator();
    }

    public boolean isBasicType() {
        return true;
    }

    public boolean equals(Object o) {
        return o instanceof BigDecimalType;
    }

    public String toString() {
        return "BigDecimal";
    }

    static final long serialVersionUID = -7589301897964716459L;
}
