/*
 * Jalisto - JAva LIght STOrage
 * Copyright (C) 2000-2005 Xcalia http://www.xcalia.com
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307, USA.
 * 
 * Xcalia
 * 71, rue Desnouettes
 * 75014 Paris - France
 * http://www.xcalia.com
 */
package org.objectweb.jalisto.se.impl.remote.socket;

public class MethodEncoder {

    public static final int closeSession = 1;
    public static final int readObjectsByOids = 2;
    public static final int createObjectOid = 3;
    public static final int defineClass = 4;
    public static final int deleteObjectByOid = 5;
    public static final int getExtent = 6;
    public static final int makeNewFileOid = 7;
    public static final int openSession = 8;
    public static final int removeClass = 9;
    public static final int updateObjectByOid = 10;
    public static final int refreshObjectByOid = 11;

    public static final int begin = 20;
    public static final int commit = 21;
    public static final int readObjectByOid = 22;
    public static final int rollback = 23;
    public static final int getProperties = 24;
    public static final int getSessionId = 25;
    public static final int reorganize = 26;
    public static final int eraseStorage = 27;

    public static final int getClassMetas = 30;
    public static final int getClassTable = 31;
    public static final int getClidFromClassName = 32;
    public static final int createObjects = 33;
    public static final int updateObjects = 34;
    public static final int deleteObjects = 35;
    public static final int getFloidsFromClid = 36;
    public static final int reserveFloids = 37;
    public static final int makeOids = 38;

}
