/*
 * Jalisto - JAva LIght STOrage
 * Copyright (C) 2000-2005 Xcalia http://www.xcalia.com
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307, USA.
 * 
 * Xcalia
 * 71, rue Desnouettes
 * 75014 Paris - France
 * http://www.xcalia.com
 */
package org.objectweb.jalisto.se.impl.server.page;

import org.objectweb.jalisto.se.api.internal.JalistoObject;
import org.objectweb.jalisto.se.api.JalistoProperties;
import org.objectweb.jalisto.se.impl.InFileAddress;

public class NodePage extends UserPage {
    public NodePage(int size, Object pid) {
        super(size, pid);
    }

    public void setIfa(InFileAddress ifa) {
        super.setIfa(ifa);
        this.ifa.setFileIndex(JalistoProperties.INDEXES_INDEX);
    }

    protected String pageName() {
        return "NoP";
    }

    public JalistoObject getClone() {
        return internalClone(new NodePage(getSize(), getPid()));
    }

    public static final short DEFAULT_SIZE = 20;

    static final long serialVersionUID = -7589374877964761459L;
}
