/*
 * Jalisto - JAva LIght STOrage
 * Copyright (C) 2000-2005 Xcalia http://www.xcalia.com
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307, USA.
 * 
 * Xcalia
 * 71, rue Desnouettes
 * 75014 Paris - France
 * http://www.xcalia.com
 */
package org.objectweb.jalisto.se.query.btree;

import org.objectweb.jalisto.se.impl.InFileAddress;

import java.io.Serializable;

public class BTreeCell implements Serializable {

    public InFileAddress getOidsIfa() {
        return oidsIfa;
    }

    public void setOidsIfa(InFileAddress oidsIfa) {
        this.oidsIfa = oidsIfa;
    }

    public Object getValue() {
        return value;
    }

    public void setValue(Object value) {
        this.value = value;
    }

    public InFileAddress getSubIfa() {
        return subIfa;
    }

    public void setSubIfa(InFileAddress subIfa) {
        this.subIfa = subIfa;
    }

    public String toString() {
        StringBuffer sb = new StringBuffer();
        sb.append("BTreeCell(");
        sb.append(value);
        sb.append(",sub:").append(subIfa);
        sb.append(",oids:").append(oidsIfa).append(")");
        return sb.toString();
    }

    private InFileAddress subIfa;
    protected InFileAddress oidsIfa;
    protected Object value;

    static final long serialVersionUID = -7589377099873761459L;
}
